openejb-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Phil Wilson <p.g.wil...@bath.ac.uk>
Subject Re: OpenEJB support for EJB 2.1?
Date Fri, 20 Jul 2007 09:05:44 GMT
Hi David,

Thanks for your response, I am subscribed via RSS so I had seen the previous reply but I 
hadn't followed it far enough to give a concrete answer.

I pulled OpenEJB from SVN and built it myself.

> 1. Unpack
> 2. boot the server (./bin/openejb start)
> 3. run --help on the deploy tool for more direction (./bin/openejb --help)

It may take me some time to get around to looking at this again, but when I'll do I'll 
begin with those steps.

Many thanks,

Phil


> 
> -David
> 
> 
> On Jul 5, 2007, at 3:01 PM, Phil Wilson wrote:
> 
>> Hi,
>>
>> The FAQ says OpenEJB supports EJB 3.0, but is there full suppor for 
>> 2.1? I'm porting an old EJB2.1 app and running
>>
>> openejb deploy -a -f -c model.jar
>>
>> gives me:
>>
>> OPENEJB_HOME=c:/stuff/unzipped/openejb-1.0
>> OpenEJB Deploy Tool 1.0    build: 20060226-1701
>> http://www.openejb.org
>>
>>
>> ERROR in model.jar
>> Cannot parse the XML of the ejb-jar.xml file. Received message: unable 
>> to find FieldDescriptor for 'cmp-version' in ClassDescriptor of entity
>>
>> A number of the beans do specify <cmp-version>2.x</cmp-version> in 
>> ejb-jar.xml
>>
>> If I remove the cmp-version declarations (which I think are actually 
>> needed), then it chokes on the <abstract-schema-name> element.
>>
>> Any advice?
>>
>> Many thanks.
>>
>> Phil WIlson
>>
> 

Mime
View raw message